Name:           pyhoca-gui
Version:        0.6.1.1
Release:        %mkrel 1
Summary:        A graphical client for X2Go using the Python X2Go API
License:        GPLv3
Group:          Networking/Remote access
Url:            http://www.x2go.org/
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
Patch0:         pyhoca-gui-remove-desktops-not-on-mga.patch
BuildArch:      noarch
BuildRequires:  intltool
BuildRequires:  python3dist(greenlet)
BuildRequires:  python3dist(pycups)
BuildRequires:  python3dist(python-distutils-extra)
BuildRequires:  python3dist(python-xlib)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wxpython)
BuildRequires:  python3dist(x2go)
Requires:       python3dist(setproctitle)
Requires:       python3dist(x2go) >= 0.5.0.0
Requires:       python3dist(wxpython)
Requires:       python3dist(pycups)
Requires:       nxproxy
Requires:       libnotify
Requires:       python3dist(pygobject)

%description
The name PyHoca is a word play combining two powerful entities: Python and
Phoca (mascot of X2go, Latin species name for seals).
PyHoca-GUI is a client implementation for X2Go using the project's Python X2Go
client API (a Python module). PyHoca-GUI uses wxPython for rendering graphical
desktop elements (menus, dialog boxes etc.).

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%py3_install

# install missing files
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/icons/PyHoca
mkdir -p %{buildroot}%{_datadir}/pyhoca/img
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications

install -m0755 pyhoca-gui %{buildroot}%{_bindir}
install -m0644 man/man1/pyhoca-gui.1 %{buildroot}%{_mandir}/man1
install -m0644 img/PyHoca-* %{buildroot}%{_datadir}/pyhoca/img
install -m0644 pixmaps/pyhoca* %{buildroot}%{_datadir}/pixmaps
install -m0644 desktop/pyhoca-gui.desktop %{buildroot}%{_datadir}/applications
cp -a icons/PyHoca/* %{buildroot}%{_datadir}/icons/PyHoca
touch %{buildroot}%{python3_sitelib}/pyhoca/__init__.py

# fix the desktop file
desktop-file-edit --remove-key=Categories %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop
desktop-file-edit --add-category=Network %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop
desktop-file-edit --remove-key=Encoding %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop

# not needed
rm -rf %{buildroot}%{python3_sitelib}/*.pth

%find_lang PyHoca-GUI

%files -f PyHoca-GUI.lang
%{python3_sitelib}/pyhoca
%{python3_sitelib}/PyHoca_GUI-%{version}-py%{python3_version}.egg-info/
%{_bindir}/pyhoca-gui
%{_datadir}/applications/pyhoca-gui.desktop
%{_iconsdir}/PyHoca/*/*
%{_datadir}/pixmaps/*
%{_datadir}/pyhoca
%{_mandir}/man1/*


%changelog
* Tue May 05 2020 wally <wally> 0.6.1.1-1.mga8
+ Revision: 1580625
- new version 0.6.1.1
- switch to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.5.0.7-2.mga7
+ Revision: 1288142
- Mageia 7 Mass Rebuild

* Sat Apr 14 2018 kekepower <kekepower> 0.5.0.7-1.mga7
+ Revision: 1218732
- Update to version 0.5.0.7
- Rediffed mga patch

* Tue Aug 08 2017 philippem <philippem> 0.5.0.4-5.mga7
+ Revision: 1138859
- use new macros and provides

* Sat Feb 20 2016 umeabot <umeabot> 0.5.0.4-4.mga6
+ Revision: 971965
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 0.5.0.4-3.mga6
+ Revision: 893886
- use new python macros
- fix lang files installation using find_lang macro

* Thu Jul 16 2015 philippem <philippem> 0.5.0.4-2.mga6
+ Revision: 854704
- update to 0.5.0.4 fix mga#16174

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0.9-5.mga5
+ Revision: 742677
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Feb 07 2014 dams <dams> 0.4.0.9-1.mga5
+ Revision: 585432
- new version 0.4.0.9

* Wed Oct 23 2013 philippem <philippem> 0.2.1.0-6.mga4
+ Revision: 546527
- fix pythonegg
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.1.0-5.mga4
+ Revision: 498046
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 philippem <philippem> 0.2.1.0-4.mga4
+ Revision: 491522
+ rebuild (emptylog)

* Wed Sep 04 2013 fwang <fwang> 0.2.1.0-3.mga4
+ Revision: 475049
- fix br on setuptools

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1.0-2.mga3
+ Revision: 378412
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 obgr_seneca <obgr_seneca> 0.2.1.0-1.mga3
+ Revision: 330121
- new version

* Fri Aug 31 2012 obgr_seneca <obgr_seneca> 0.2.0.4-1.mga3
+ Revision: 286649
- New version

* Tue Aug 14 2012 obgr_seneca <obgr_seneca> 0.2.0.3-1.mga3
+ Revision: 281336
- New version

* Wed Aug 08 2012 obgr_seneca <obgr_seneca> 0.2.0.1-4.mga3
+ Revision: 279973
-added missing Requires for python-cups

* Fri Jul 13 2012 obgr_seneca <obgr_seneca> 0.2.0.1-3.mga3
+ Revision: 270572
- Added missing requires for nxproxy

* Fri Jul 13 2012 obgr_seneca <obgr_seneca> 0.2.0.1-2.mga3
+ Revision: 270563
- added missing Require for wxPython

* Tue Jul 03 2012 obgr_seneca <obgr_seneca> 0.2.0.1-1.mga3
+ Revision: 266931
- Add missing BR for pythonsetuptools
- Add missing BR for python-xlib
- New version 0.2.0.1

* Mon Mar 12 2012 obgr_seneca <obgr_seneca> 0.1.0.10-2.mga2
+ Revision: 223081
- added python-cups as BR
- added pygtk2 as BR because otherwiese pynotify is not found
- this is a workarround that should be fixed in python-notify
- added missing BR on python-notify
- add BR on python-greenlet
- changed BR on setuptools
- added missing BR on python-setuptools
- imported package pyhoca-gui


* Mon Mar 12 2012 Oliver Burger <obgr_seneca@mageia.org> 0.1.0.10-2.mga2
- added missing runtime requirements
- added missing files not installed by setup.py

* Fri Mar 09 2012 Oliver Burger <obgr_seneca@mageia.org> 0.1.0.10-1.mga2
- initial package for Mageia
